Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.teststeps
Class TransferResponseValuesTestStepPanelBuilder

    java.lang.Object
      com.eviware.soapui.impl.EmptyPanelBuilder<TransferResponseValuesTestStep>
          com.eviware.soapui.impl.wsdl.panels.teststeps.TransferResponseValuesTestStepPanelBuilder

All Implemented Interfaces:
  PanelBuilder<TransferResponseValuesTestStep>

    public class TransferResponseValuesTestStepPanelBuilder

extends EmptyPanelBuilder<TransferResponseValuesTestStep>

PanelBuilder for TransferResponseValuesTestStep

Author:
  Ole.Matzura

Constructor Summary
`TransferResponseValuesTestStepPanelBuilder()`

Method Summary
`DesktopPanel` | `buildDesktopPanel(TransferResponseValuesTestStep testStep)`
`java.awt.Component` | `buildOverviewPanel(TransferResponseValuesTestStep modelItem)`
`boolean` | `hasDesktopPanel()`

Methods inherited from class com.eviware.soapui.impl.EmptyPanelBuilder
`buildDefaultProperties, get, hasOverviewPanel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferResponseValuesTestStepPanelBuilder

    public TransferResponseValuesTestStepPanelBuilder()

Method Detail

### buildDesktopPanel

    public DesktopPanel buildDesktopPanel(TransferResponseValuesTestStep testStep)

  Specified by:
    `buildDesktopPanel` in interface `PanelBuilder<TransferResponseValuesTestStep>`
  Overrides:
    `buildDesktopPanel` in class `EmptyPanelBuilder<TransferResponseValuesTestStep>`

### hasDesktopPanel

    public boolean hasDesktopPanel()

  Specified by:
    `hasDesktopPanel` in interface `PanelBuilder<TransferResponseValuesTestStep>`
  Overrides:
    `hasDesktopPanel` in class `EmptyPanelBuilder<TransferResponseValuesTestStep>`

### buildOverviewPanel

    public java.awt.Component buildOverviewPanel(TransferResponseValuesTestStep modelItem)

  Specified by:
    `buildOverviewPanel` in interface `PanelBuilder<TransferResponseValuesTestStep>`
  Overrides:
    `buildOverviewPanel` in class `EmptyPanelBuilder<TransferResponseValuesTestStep>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.